%     FASTENER DOCTOR - программа для лечения и конвертации крепежа
%     Copyright (C) 2018  Михаил Козлов
%     Сайт проекта: <http://www.fastenerdoctor.ru/>
%     Адрес электронной почты для связи с разработчиком:
%     <doctor.fastener@gmail.com>
% 
%     Эта программа является свободным программным обеспечением: Вы можете
%     распространять ее и/или изменять, соблюдая условия Универсальной общественной
%     лицензии GNU, опубликованной Фондом свободного программного обеспечения,
%     либо редакции 3, либо (на Ваше усмотрение) любой редакции, выпущенной позже.
% 
%     Эта программа распространяется в надежде на то, что она окажется полезной,
%     но БЕЗ КАКИХ-ЛИБО ГАРАНТИЙ, включая даже подразумеваемую гарантию ТОВАРНОЙ ПРИГОДНОСТИ,
%     либо ПРИГОДНОСТИ ДЛЯ ОПРЕДЕЛЕННЫХ ЦЕЛЕЙ. Ознакомьтесь с Универсальной общественной
%     лицензией GNU для получения более подробной информации.
% 
%     Вы должны были получить копию Универсальной общественной лицензии GNU
%     вместе с этой программой. Если Вы ее не получили, то перейдите по адресу:
%     <http://www.gnu.org/licenses/>.
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>.

function Created_Element_list = DB_Elm_Create_Bar_Spider(Node_1, Node_2_list, Pset_ID)

% Счетчик db_Next_Element_Number автоматически обновляется в данной функции!

global db_Next_Element_Number;
global ErrCode;

% Уникальные элементы массива
Node_2_list = unique(Node_2_list);

% Выделение памяти
Created_Element_list = zeros(size(Node_2_list,1),1);

% Цикл по узлам
for i=1:size(Node_2_list,1)
    
    Created_Element_list(i) = DB_Elm_Create_Bar(Node_1, Node_2_list(i));
    db_Next_Element_Number = db_Next_Element_Number + 1;
    
    if (ErrCode < 0)
        return;
    end
    
end

% Ассоциирование элементов с property set
if (~isempty(Pset_ID))
    
    DB_Elm_Modify_Pset(Created_Element_list, Pset_ID);

    if (ErrCode < 0)
        return;
    end

end
